## org.apache.mahout.df.split
Class IgSplit

    java.lang.Object
      org.apache.mahout.df.split.IgSplit

Direct Known Subclasses:
  DefaultIgSplit, OptIgSplit

    public abstract class IgSplit

extends java.lang.Object

Computes the best split using the Information Gain measure

Field Summary
`protected static double` `LOG2`

Constructor Summary
`IgSplit()`

Method Summary
`abstract Split` `computeSplit(Data data, int attr)` Computes the best split for the given attribute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG2

    protected static final double LOG2

Constructor Detail

### IgSplit

    public IgSplit()

Method Detail

### computeSplit

    public abstract Split computeSplit(Data data,
                                       int attr)

  Computes the best split for the given attribute

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.